[Unit]
Description=Forge data file upload
Wants=network-online.target
After=network-online.target
After=forge-dashboard.socket nginx.service


[Service]
Type=oneshot
User=forge-data
Group=forge
Nice=1
ProtectSystem=full
ProtectHome=true
WorkingDirectory=/
Environment=ROOT_PATH_FOR_DYNACONF=/etc/forge/acquisition
ExecStart=sleep 10
ExecStart=/opt/forge/venv/bin/forge-processing-upload --modified 5 --skip-station nil \
    --dashboard acquisition-transfer-data \
    --directory /var/lib/forge/send \
    --completed /var/lib/forge/sent/{time:%%Y}/{time:%%m}/{time:%%d}
SuccessExitStatus=4 7